#include <iostream>

using namespace std;

int main()
{
    int x,n,res;
    cin>>n>>x;
    int a[n];
    for(int i=0;i<n;i++)
        cin>>a[i];
    if(a[0]<x&&a[n-1]>x)
        res=x+a[n-1]-2*a[0];
    if(a[0]>x)
        res=a[n-1]-x;
    if(a[n-1]<x)
        res=x-a[0];
    cout<<res;
}